--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: Creates a new transient BotUser associated with Irc::User <em>user</em>, automatically logging him in. Note that transient botuser creation can fail, typically if we don't have the complete user netmask (e.g. for messages coming in from a linkbot)
full_name: Irc::Bot::Auth::ManagerClass#create_transient_botuser
is_singleton: false
name: create_transient_botuser
params: (user)
visibility: public
